[package]
name = "api"
version = "0.1.0"
edition = "2024"
license = "MIT"

[dependencies]
bytes = "1.11.0"
iref = { version = "3.2.2", features = ["serde"] }
jiff = { version = "0.2.16", features = ["serde"] }
reqwest = { version = "0.12.24", features = ["json"] }
serde = { version = "1.0.228", features = ["derive"] }
serde_json = "1.0.145"
tap = "1.0.1"
thiserror = "2.0.17"
tokio = { version = "1.48.0", features = ["fs"] }
toml = "0.9.8"
tracing = "0.1.41"
url = "2.5.7"
uuid = { version = "1.18.1", features = ["serde"] }

[dev-dependencies]
tokio = { version = "1.48.0", features = ["macros", "rt-multi-thread"] }
tokio-test = "0.4.4"
